Bug 995742 - Kernel 3.10.x with RV740 PRO [Radeon HD 4770] display issues
Kernel 3.10.x with RV740 PRO [Radeon HD 4770] display issues
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-10 14:37 EDT by Jaroslav Pulchart
Modified: 2015-02-17 11:42 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:42:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (19.38 KB, image/png)
2013-08-10 14:37 EDT, Jaroslav Pulchart
no flags Details

  None (edit)
Description Jaroslav Pulchart 2013-08-10 14:37:31 EDT
Created attachment 785240 [details]
screenshot

Description of problem:
  The desktop screen is "broken" after upgrade of the kernel package from 3.9.x to 3.10.x (please see attached screenshot). There are any kind of errors in dmesg and/or Xorg logs.

Version-Release number of selected component (if applicable):
  kernel 3.10.<all>

Steps to Reproduce:
  1. use "RV740 PRO [Radeon HD 4770]" graphic card
  2. upgrade kernel to 3.10.x release
  3. reboot to new kernel
  4. login to gnome and use some application

Actual results:
  see attached screenshot from nautilus

Additional info:
  * booting into older kernel 3.9.x is my working workaround ...
  * gnome-shell itself without screen issues
Comment 1 Jaroslav Pulchart 2013-08-12 15:11:51 EDT
I installed 2x builds of same kernel for f18 and f19 and there is a result:
- 3.10.6-100.fc18.x86_64   -> none display issues
- 3.10.6-200.fc19.x86_64   -> display issues are still there
Comment 2 Martin Bednar 2013-08-13 12:46:15 EDT
Happens here too. 
Linux localhost.localdomain 3.10.5-201.fc19.x86_64
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] RV740/M97 GL [FirePro M7740]

Using KDE, the same corruption happens when using Qt's native rendering system, raster "fixes" it. Haven't found anything for other applications yet. (plasma glows are still corrupted)
Comment 3 Martin Bednar 2013-08-24 11:00:32 EDT
just updated my Fedora, and with Linux localhost.localdomain 3.10.7-200.fc19.x86_64, dipslay corruption still there.
3.10.6-100.fc18.x86_64 is fine though.
Comment 4 Martin Bednar 2013-08-28 15:51:42 EDT
still happenning with Linux 3.10.9-200.fc19.x86_64
Comment 5 Martin Bednar 2013-08-29 16:25:35 EDT
bug known and fixed in 3.10.10
https://bugzilla.kernel.org/show_bug.cgi?id=60674
I just tried vanilla 3.10.10, and indeed it is fixed there.
Comment 6 Jaroslav Pulchart 2013-09-01 16:26:18 EDT
Yes, the kernel 3.10.10 works. Tested on f19 build of kernel 3.10.10 from http://koji.fedoraproject.org/koji/buildinfo?buildID=460270.
Comment 7 Fedora End Of Life 2015-01-09 14:23:42 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-02-17 11:42:12 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.